From 7f7f175252d992a9ab213dfb6caeac33ece78417 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Thu, 10 Aug 2017 23:33:47 -0400
Subject: [PATCH v2 8/9] Support coverage on vpath builds

A few paths needed to be tweaked so everything looks into the
appropriate directories.
---
 src/Makefile.global.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/Makefile.global.in b/src/Makefile.global.in
index e9d89005ec..b09ef3e418 100644
--- a/src/Makefile.global.in
+++ b/src/Makefile.global.in
@@ -881,16 +881,16 @@ GENHTML_TITLE = PostgreSQL $(VERSION)
 gcno_files = $(shell find . -name '*.gcno' -print)
 
 lcov_base.info: $(gcno_files)
-	$(LCOV) $(LCOVFLAGS) -c -i -d . -o $@
+	$(LCOV) $(LCOVFLAGS) -c -i -d . -d $(srcdir) -o $@
 
 gcda_files = $(shell find . -name '*.gcda' -print)
 
 lcov_test.info: $(gcda_files)
-	$(LCOV) $(LCOVFLAGS) -c -d . -o $@
+	$(LCOV) $(LCOVFLAGS) -c -d . -d $(srcdir) -o $@
 
 coverage-stamp: lcov_base.info lcov_test.info
 	rm -rf coverage
-	$(GENHTML) $(GENHTML_FLAGS) -o coverage --title='$(GENHTML_TITLE)' --num-spaces=4 --prefix='$(abs_top_srcdir)' $^
+	$(GENHTML) $(GENHTML_FLAGS) -o coverage --title='$(GENHTML_TITLE)' --num-spaces=4 $^
 	touch $@
 
 .PHONY: coverage coverage-html
-- 
2.14.1

